View Issue Details

IDProjectCategoryView StatusLast Update
0018111LazarusIDEpublic2011-01-01 22:37
ReporterMarelisAssigned ToAbou Al Montacir 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSUbuntuOS Version10.04
Product Version0.9.29 (SVN)Product Build28558 
Target Version0.9.30Fixed in Version 
Summary0018111: When executing 'make deb' is not installed some of the items
Description---8<---
dh_install -s --sourcedir=debian/tmp --list-missing
dh_install: usr/lib/lazarus/0.9.29/components/chmhelp/packages/help/lib/i386-linux/lhelpcontrol.ppu exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/chmhelp/packages/help/lib/i386-linux/lhelpcontrol.o exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/chmhelp/packages/help/lib/i386-linux/lhelpcontrolpkg.ppu exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/chmhelp/packages/help/lib/i386-linux/lhelpcontrolpkg.o exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/chmhelp/packages/idehelp/lib/i386-linux/chmhelppkg.ppu exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/chmhelp/packages/idehelp/lib/i386-linux/lazchmhelp.o exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/chmhelp/packages/idehelp/lib/i386-linux/chmhelppkg.o exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/chmhelp/packages/idehelp/lib/i386-linux/lazchmhelp.ppu exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/todolist/lib/i386-linux/todolist.ppu exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/todolist/lib/i386-linux/todolistlaz.o exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/todolist/lib/i386-linux/todoliststrconsts.o exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/todolist/lib/i386-linux/todolist.o exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/todolist/lib/i386-linux/todoliststrconsts.ppu exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/todolist/lib/i386-linux/todolistlaz.ppu exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/todolist/lib/i386-linux/tododlg.ppu exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/components/todolist/lib/i386-linux/tododlg.o exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/lcl/units/i386-linux/calendarpopup.lfm exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/lcl/units/i386-linux/ldockctrledit.lfm exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/lcl/units/i386-linux/replacedlgunit.lfm exists in debian/tmp but is not installed to anywhere
dh_install: usr/lib/lazarus/0.9.29/lcl/units/i386-linux/finddlgunit.lfm exists in debian/tmp but is not installed to anywhere
touch arrange-arch-stamp
---8<---
TagsNo tags attached.
Fixed in Revision
LazTarget0.9.30
Widgetset
Attached Files

Relationships

related to 0018017 closedAbou Al Montacir project1.lpr(17,1) Error: Error while compiling resources 
parent of 0018326 closedAbou Al Montacir Package file not found (ChmHelpPkg & ToDoListLaz) 

Activities

Vincent Snijders

2010-11-29 23:06

manager   ~0043761

IMHO, the lfm's should be installed, as they are used as resources in LCL applications.

Marelis

2010-11-30 11:15

reporter   ~0043785

@Vincent

May be related to Issue No.0015699.

See Note No.0034740 about the location of the files *.lfm

Abou Al Montacir

2010-12-30 16:26

developer   ~0044729

Not reproduced anymore in r28842

Issue History

Date Modified Username Field Change
2010-11-29 22:58 Marelis New Issue
2010-11-29 23:06 Vincent Snijders LazTarget => 0.9.30
2010-11-29 23:06 Vincent Snijders Note Added: 0043761
2010-11-29 23:06 Vincent Snijders Assigned To => Abou Al Montacir
2010-11-29 23:06 Vincent Snijders Status new => assigned
2010-11-29 23:06 Vincent Snijders Target Version => 0.9.30
2010-11-29 23:06 Vincent Snijders Relationship added related to 0018017
2010-11-30 11:15 Marelis Note Added: 0043785
2010-12-27 11:48 Vincent Snijders Relationship added parent of 0018326
2010-12-30 16:26 Abou Al Montacir Status assigned => resolved
2010-12-30 16:26 Abou Al Montacir Resolution open => fixed
2010-12-30 16:26 Abou Al Montacir Note Added: 0044729
2011-01-01 22:37 Marelis Status resolved => closed